hibernate.dialect                      org.hibernate.dialect.H2Dialect
hibernate.connection.driver_class      org.h2.Driver
hibernate.connection.url               jdbc:h2:file:orchestra-db/orchestra_history.db;LOCK_TIMEOUT=5000
hibernate.connection.username          sa
hibernate.connection.password

# For using Orchestra with postgreSQL  
#hibernate.dialect                      org.hibernate.dialect.PostgreSQLDialect
#hibernate.connection.driver_class      org.postgresql.Driver
#hibernate.connection.url               jdbc:Postgresql://localhost:5432/orchestra_history
#hibernate.connection.username          postgres
#hibernate.connection.password          admin

hibernate.hbm2ddl.auto                 update
hibernate.cache.use_query_cache        false
hibernate.cache.use_second_level_cache false
hibernate.cache.region.factory_class   net.sf.ehcache.hibernate.EhCacheRegionFactory
hibernate.show_sql                     false
hibernate.format_sql                   false
hibernate.use_sql_comments             false

hibernate.connection.isolation         2

hibernate.c3p0.min_size                5
hibernate.c3p0.max_size                20
hibernate.c3p0.timeout                 1800
hibernate.c3p0.max_statements          50
hibernate.connection.provider_class    org.hibernate.connection.C3P0ConnectionProvider

